package autocompletbug;

import org.apache.commons.lang.StringUtils;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.faces.bean.ViewScoped;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.ConverterException;
import java.io.Serializable;
import java.util.List;
import java.util.Arrays;

/**
 * Created by IntelliJ IDEA.
 * User: developer
 * Date: Feb 24, 2011
 * Time: 9:45:19 AM
 * To change this template use File | Settings | File Templates.
 */
@ManagedBean(name="autocompleteBeanConverter")
@SessionScoped
public class AutocompletBeanConverter implements Converter, Serializable {
    List<AutocompleteBean> beans =
            Arrays.asList(new AutocompleteBean("1bean"),new AutocompleteBean("2bean"),
                          new AutocompleteBean("3bean"));

    public Object getAsObject(FacesContext facesContext, UIComponent uiComponent, String value) {
        if (StringUtils.isBlank(value)) {
            return null;
        } else {
            AutocompleteBean bean = null;
            String fieldValue = StringUtils.trim(value);
            for(AutocompleteBean thisBean: beans){
                if(thisBean.getField().equals(fieldValue)){
                    bean= thisBean;
                }
            }
            return bean;
        }
    }

    public String getAsString(FacesContext facesContext, UIComponent uiComponent, Object value) {
        if (value != null) {
            AutocompleteBean bean = (AutocompleteBean) value;
            return bean.getField();
        } else {
            return null;
        }
    }

}
